<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Improved Layered Navigation MFTF 3 for Magento 2 (System)
 */

namespace Amasty\ShopbyMFTF3\Model\ResourceModel\OptionValue;

use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

/**
 * @method \Amasty\ShopbyMFTF3\Model\ResourceModel\OptionValue getResource()
 * @method \Amasty\ShopbyMFTF3\Model\OptionValue[] getItems()
 */
class Collection extends AbstractCollection
{
    /**
     * Define resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(
            \Amasty\ShopbyMFTF3\Model\OptionValue::class,
            \Amasty\ShopbyMFTF3\Model\ResourceModel\OptionValue::class
        );
    }

}
